Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.parser
Class SimpleNode

    java.lang.Object
      |
      +--org.apache.commons.jexl.parser.SimpleNode

All Implemented Interfaces:
  Node

Direct Known Subclasses:
  ASTAddNode, ASTAndNode, ASTArrayAccess, ASTAssignment, ASTBitwiseAndNode, ASTBitwiseComplNode, ASTBitwiseOrNode, ASTBitwiseXorNode, ASTBlock, ASTDivNode, ASTEmptyFunction, ASTEQNode, ASTExpression, ASTExpressionExpression, ASTFalseNode, ASTFloatLiteral, ASTForeachStatement, ASTGENode, ASTGTNode, ASTIdentifier, ASTIfStatement, ASTIntegerLiteral, ASTJexlScript, ASTLENode, ASTLTNode, ASTMethod, ASTModNode, ASTMulNode, ASTNENode, ASTNotNode, ASTNullLiteral, ASTOrNode, ASTReference, ASTReferenceExpression, ASTSizeFunction, ASTSizeMethod, ASTStatementExpression, ASTStringLiteral, ASTSubtractNode, ASTTrueNode, ASTUnaryMinusNode, ASTWhileStatement

public class SimpleNode
extends Object
implements Node

useful interface to node. most autogened by javacc

Version:
  $Id: SimpleNode.java,v 1.3 2004/02/28 13:45:21 yoavs Exp $

Field Summary
`protected Node[]` | `children`
`protected int` | `id`
`protected Node` | `parent`
`protected Parser` | `parser`

Constructor Summary
`SimpleNode(int i)`
`SimpleNode(Parser p, int i)`

Method Summary
`Object` | `childrenAccept(ParserVisitor visitor, Object data)` Accept the visitor.
`void` | `dump(String prefix)`
`Object` | `execute(Object o, JexlContext ctx)` Used to let a node calcuate it's value..
`boolean` | `interpret(JexlContext pc)` basic interpret - just invoke interpret on all children
`Object` | `jjtAccept(ParserVisitor visitor, Object data)` Accept the visitor.
`void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.
`void` | `jjtClose()` This method is called after all the child nodes have been added.
`Node` | `jjtGetChild(int i)` This method returns a child node.
`int` | `jjtGetNumChildren()` Return the number of children the node has.
`Node` | `jjtGetParent()`
`void` | `jjtOpen()` This method is called after the node has been made the current node.
`void` | `jjtSetParent(Node n)` This pair of methods are used to inform the node of its parent.
`Object` | `setValue(JexlContext context, Object value)` Sets the value for the node - again, only makes sense for some nodes but lazyness tempts me to put it here.
`String` | `toString()`
`String` | `toString(String prefix)`
`Object` | `value(JexlContext context)` Returns the value of the node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### parent

    protected Node parent

### children

    protected Node[] children

### id

    protected int id

### parser

    protected Parser parser

Constructor Detail

### SimpleNode

    public SimpleNode(int i)

### SimpleNode

    public SimpleNode(Parser p,
                      int i)

Method Detail

### jjtOpen

    public void jjtOpen()

  Description copied from interface: `Node`
  This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.
  Specified by:
    `jjtOpen` in interface `Node`

### jjtClose

    public void jjtClose()

  Description copied from interface: `Node`
  This method is called after all the child nodes have been added.
  Specified by:
    `jjtClose` in interface `Node`

### jjtSetParent

    public void jjtSetParent(Node n)

  Description copied from interface: `Node`
  This pair of methods are used to inform the node of its parent.
  Specified by:
    `jjtSetParent` in interface `Node`

### jjtGetParent

    public Node jjtGetParent()

  Specified by:
    `jjtGetParent` in interface `Node`

### jjtAddChild

    public void jjtAddChild(Node n,
                            int i)

  Description copied from interface: `Node`
  This method tells the node to add its argument to the node's list of children.
  Specified by:
    `jjtAddChild` in interface `Node`

### jjtGetChild

    public Node jjtGetChild(int i)

  Description copied from interface: `Node`
  This method returns a child node. The children are numbered from zero, left to right.
  Specified by:
    `jjtGetChild` in interface `Node`

### jjtGetNumChildren

    public int jjtGetNumChildren()

  Description copied from interface: `Node`
  Return the number of children the node has.
  Specified by:
    `jjtGetNumChildren` in interface `Node`

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  Accept the visitor.
  Specified by:
    `jjtAccept` in interface `Node`

### childrenAccept

    public Object childrenAccept(ParserVisitor visitor,
                                 Object data)

  Accept the visitor.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toString

    public String toString(String prefix)

### dump

    public void dump(String prefix)

### interpret

    public boolean interpret(JexlContext pc)
                      throws Exception

  basic interpret - just invoke interpret on all children

### value

    public Object value(JexlContext context)
                 throws Exception

  Returns the value of the node.

### setValue

    public Object setValue(JexlContext context,
                           Object value)
                    throws Exception

  Sets the value for the node - again, only makes sense for some nodes but lazyness tempts me to put it here. Keeps things simple.

### execute

    public Object execute(Object o,
                          JexlContext ctx)
                   throws Exception

  Used to let a node calcuate it's value..

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.